/* https://gcc.gnu.org/onlinedocs/gfortran/Non-Fortran-Main-Program.html */

extern void _gfortran_set_args(int argc, char *argv[]);
extern void _gfortran_set_options(int num, int options[]);
extern void _gfortran_set_fpe(int val);

int gfortran_init_() {
   int opts[] = {68, 511, 1, 1, 1, 63};
   char *argv[] = {"python", "-m", "mfixgui.pymfix"};
   _gfortran_set_args(3, argv);
   _gfortran_set_options(6, opts);
//   _gfortran_set_fpe(13);
   return 57;
}

int disable_fpe_() {
    _gfortran_set_fpe(0);
    return 0;
}

int enable_fpe_() {
//    _gfortran_set_fpe(13);
    return 0;
}

int disable_backtrace_() {
    int opts[] = {68, 511, 0, 0, 0};
    _gfortran_set_options(5, opts);
    return 0;
}
